import { defHttp } from '@/utils/http/axios';
import { ID, IDS, commonExport } from '@/api/base';
import { RelevancyCodeVO, RelevancyCodeForm, RelevancyCodeQuery } from './model';

/**
 * 查询电梯二维码关联信息;列表
 * @param params
 * @returns
 */
export function relevancyCodeList(params?: RelevancyCodeQuery) {
  return defHttp.get<RelevancyCodeVO[]>({ url: '/qrCode/relevancyCode/list', params });
}

/**
 * 导出电梯二维码关联信息;列表
 * @param params
 * @returns
 */
export function relevancyCodeExport(params?: RelevancyCodeQuery) {
  return commonExport('/qrCode/relevancyCode/export', params ?? {});
}

/**
 * 查询电梯二维码关联信息;详细
 * @param id id
 * @returns
 */
export function relevancyCodeInfo(id: ID) {
  return defHttp.get<RelevancyCodeVO>({ url: '/qrCode/relevancyCode/' + id });
}

/**
 * 新增电梯二维码关联信息;
 * @param data
 * @returns
 */
export function relevancyCodeAdd(data: RelevancyCodeForm) {
  return defHttp.postWithMsg<void>({ url: '/qrCode/relevancyCode', data });
}
/**
 * 生成二维码;
 * @param data
 * @returns
 */
export function relevancyCodeCreate(data) {
  return defHttp.postWithMsg<void>({ url: `/qrCode/relevancyCode/createQrCode/${data.id}` });
}
/**
 * 更新电梯二维码关联信息;
 * @param data
 * @returns
 */
export function relevancyCodeUpdate(data: RelevancyCodeForm) {
  return defHttp.putWithMsg<void>({ url: '/qrCode/relevancyCode', data });
}

/**
 * 删除电梯二维码关联信息;
 * @param id id
 * @returns
 */
export function relevancyCodeRemove(id: ID | IDS) {
  return defHttp.deleteWithMsg<void>({ url: '/qrCode/relevancyCode/' + id });
}
